unit Unit24;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, pngimage, ExtCtrls;

type
  TForm24 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Edit1: TEdit;
    Button1: TButton;
    Label3: TLabel;
    Image1: TImage;
    Button2: TButton;
    Image2: TImage;
    procedure Button1Click(Sender: TObject);
    procedure Image1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form24: TForm24;

implementation

uses Unit26, Unit23;

{$R *.dfm}

procedure TForm24.Button1Click(Sender: TObject);
var s:string;
begin
image1.Enabled:=true;
  edit1.Enabled:=false;
  button1.Enabled:=false;

s:=UpperCase(Edit1.Text);
if s='DIAGONALELE' then begin label3.Caption:='corect';
                              label3.Font.Color:=clgreen;
                              image1.Show;
end
else begin label3.Caption:='gresit';
           label3.Font.Color:=clred;
           button2.Show;

end;
end;
procedure TForm24.Button2Click(Sender: TObject);
begin
form23.Show;
form24.Visible:=false;
end;

procedure TForm24.Image1Click(Sender: TObject);
begin
form26.show;
form24.Visible:=false;
form23.Visible:=false;
end;

end.
